/*
 * Copyright © 2023 by Data Virtuality GmbH
 */
package com.datavirtuality.dv.core.services;

/**
 * @author Roman Pedchenko
 * @date 2023.04.12
 */
public class DVReturnException extends RuntimeException {
    public DVReturnException(Class<?> expected, Object actual) {
        super(String.format("Service call expected return type: %s does not match the actual type: %s",
                expected.getName(), actual == null ? "<null>" : actual.getClass().getName()));
    }
}
